﻿@page
@using Microsoft.VisualBasic
@using GameBrain
@using Domain
@using System.Linq
@model WebApp.Pages.BoatPlacement.Index


<form method="post">
    <div class="form-row">
        <div class="col-md-3 col-lg-3 order-md-last">
            <h4 class="d-flex justify-content-between align-items-center mb-3">
                <span class="text-muted">Ships to place</span>
                <span class="badge bg-primary rounded-pill">@Model.BoatsDictionary.Sum(b => b.Key.Quantity - b.Value.Count)</span>
            </h4>
            <ul class="list-group mb-3">
                @foreach (var (key, value) in Model.BoatsDictionary)
                {
                    <fieldset
                        @{
                            if (key.Quantity - value.Count == 0)
                            {
                                @:disabled
                            }
                        }
                    >
                        <li class="list-group-item d-flex justify-content-between lh-sm">
                            <div>
                                <input type="radio" class="btn-check" asp-for="SelectedGameOptionBoatId" value="@key.GameOptionBoatId" id="@key.BoatId">
                                <h6>@key.Boat.Name (size @key.Boat.Size)</h6>
                                <small>Total count @key.Quantity</small>
                            </div>
                            <span>@(key.Quantity - value.Count)</span>
                        </li>
                    </fieldset>
                }
            </ul>
            <div class="btn-group" data-toggle="buttons">
                <label class="btn btn-outline-primary">
                    Vertically ↓
                    <input type="radio" asp-for="IsVertical" value="true"/>
                </label>
                <label class="btn btn-outline-primary">
                    Horizontally →
                    <input type="radio" value="false" asp-for="IsVertical"/>
                </label>
            </div>
            <div>
                <fieldset
                    @{
                        if (Model.BoatsDictionary.Sum(b => b.Value.Count) != 0)
                        {
                            @:hidden
                        }
                    }
                >
                    <label class="btn btn-outline-primary">
                        Random placement
                        <input type="submit" asp-for="IsRandomPlacement" value="true" class="hidden-radio-dot"/>
                    </label>
                </fieldset>
            </div>
        </div>
        <div class="col-md-9 col-lg-9">
            <div class="text-center">
                <h3>@Model.CurrentPlacerPlayerName's board</h3>
            </div>
            <table class="table">
                @for (int y = 0; y < Model.BoardHeight; y++)
                {
                    <tr class="d-flex justify-content-center">
                        @for (int x = 0; x < Model.BoardWidth; x++)
                        {
                            <td style="border: 1px solid #dee2e6">
                                @CellHelper.GetCellContent(Model.PlayerBoard.Board[y][x], true)
                                <input type="submit" asp-for="Coordinates" class="btn-block text-hide btn btn-light" value="@y,@x"/>
                            </td>
                        }
                    </tr>
                }
            </table>
        </div>
    </div>
</form>